...
 
Commits (11)
language: node_js
node_js:
- "0.8"
- "0.10"
\ No newline at end of file
- "0.10"
- "0.12"
before_install:
- '[ "${TRAVIS_NODE_VERSION}" != "0.8" ] || npm install -g npm@1.4.28'
- npm install -g npm
......@@ -2,9 +2,9 @@
Check and get file hashes (using any algorithm)
[![Build Status](https://travis-ci.org/ForbesLindesay/sha.png?branch=master)](https://travis-ci.org/ForbesLindesay/sha)
[![Dependency Status](https://gemnasium.com/ForbesLindesay/sha.png)](https://gemnasium.com/ForbesLindesay/sha)
[![NPM version](https://badge.fury.io/js/sha.png)](http://badge.fury.io/js/sha)
[![Build Status](https://img.shields.io/travis/ForbesLindesay/sha/master.svg)](https://travis-ci.org/ForbesLindesay/sha)
[![Dependency Status](https://img.shields.io/gemnasium/ForbesLindesay/sha.svg)](https://gemnasium.com/ForbesLindesay/sha)
[![NPM version](https://img.shields.io/npm/v/sha.svg)](http://badge.fury.io/js/sha)
## Installation
......
node-sha (2.0.1-1) unstable; urgency=medium
* Team upload
* New upstream version 2.0.1
* Use salsa.debian.org in Vcs-* fields
* Bump Standards-Version to 4.2.1 (no changes needed)
* Bump debhelper compatibility level to 11
* Change section to javascript, priority to optional
* Remove readable-stream dependency
* Enable tests and autopkgtest
-- Pirate Praveen <praveen@debian.org> Sat, 15 Sep 2018 11:10:25 +0530
node-sha (1.2.3-1) unstable; urgency=low
* Initial release (Closes: #720380)
......
Source: node-sha
Section: web
Priority: extra
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
debhelper (>= 8.0.0)
, dh-buildinfo
Standards-Version: 3.9.4
debhelper (>= 11~)
, nodejs
, mocha <!nocheck>
, node-graceful-fs (>= 4.1.2~) <!nocheck>
Standards-Version: 4.2.1
Homepage: https://github.com/ForbesLindesay/sha
Vcs-Git: git://anonscm.debian.org/collab-maint/node-sha.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-sha.git
Vcs-Git: https://salsa.debian.org/js-team/node-sha.git
Vcs-Browser: https://salsa.debian.org/js-team/node-sha
Package: node-sha
Architecture: all
Depends:
${misc:Depends}
, nodejs
Recommends:
node-graceful-fs (>= 2)
, node-graceful-fs (>= 4.1.2~)
Description: Check and get file or stream hashes - module for Node.js
node-sha exposes simple functions to check and get file or stream hashes.
The algorithm used defaults to sha1 and can be any of the algorithms
......
readable-stream can be replaced by native stream
--- a/index.js
+++ b/index.js
@@ -1,6 +1,6 @@
'use strict'
-var Transform = require('stream').Transform || require('readable-stream').Transform
+var Transform = require('stream').Transform
var crypto = require('crypto')
var fs = require('graceful-fs')
@@ -104,4 +104,4 @@
this.push(null)
}
return stream
-}
\ No newline at end of file
+}
--- a/package.json
+++ b/package.json
@@ -11,10 +11,9 @@
},
"license": "(BSD-2-Clause OR MIT)",
"dependencies": {
- "graceful-fs": "^4.1.2",
- "readable-stream": "^2.0.2"
+ "graceful-fs": "^4.1.2"
},
"devDependencies": {
"mocha": "~1.9.0"
}
-}
\ No newline at end of file
+}
remove-readable-stream.patch
......@@ -6,3 +6,8 @@
%:
dh $@
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
mocha -R spec
endif
Tests: require
Depends: node-sha
Test-Command: mocha -R spec
Depends: @, mocha
#!/bin/sh
set -e
nodejs -e "require('sha');"
......@@ -2,20 +2,7 @@
var Transform = require('stream').Transform || require('readable-stream').Transform
var crypto = require('crypto')
var fs
try {
fs = require('graceful-fs')
} catch (ex) {
fs = require('fs')
}
try {
process.binding('crypto')
} catch (e) {
var er = new Error( 'crypto binding not found.\n'
+ 'Please build node with openssl.\n'
+ e.message )
throw er
}
var fs = require('graceful-fs')
exports.check = check
exports.checkSync = checkSync
......
{
"name": "sha",
"version": "1.2.3",
"version": "2.0.1",
"description": "Check and get file hashes",
"scripts": {
"test": "mocha -R spec"
......@@ -9,10 +9,10 @@
"type": "git",
"url": "https://github.com/ForbesLindesay/sha.git"
},
"license": "BSD",
"optionalDependencies": {
"graceful-fs": "2",
"readable-stream": "1.0"
"license": "(BSD-2-Clause OR MIT)",
"dependencies": {
"graceful-fs": "^4.1.2",
"readable-stream": "^2.0.2"
},
"devDependencies": {
"mocha": "~1.9.0"
......